# documents.snippets.list

List saved blocks (reusable clauses and passages in Markdown, which may use {{field.key}} merge fields) and saved footers (up to two lines, which may use merge fields and {{page}} / {{pages}}). Filter by kind block or footer and search titles.

`GET | POST /api/v1/accounting/documents.snippets.list`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_documents_snippets_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `kind` | enum |  | Which kind of record or job this is. One of: `block`, `footer`, `all`. Default `"all"`. |
| `search` | string |  | Text to search for. at most 120 characters. |
| `includeArchived` | boolean |  | Also include archived records. |
| `limit` | integer |  | How many results to return at most. 1 to 200. Default `100`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/documents.snippets.list \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/documents.snippets.list
